Get Discovery Status
curl --request GET \
--url https://api.bland.ai/v1/sip/discover/status \
--header 'authorization: <authorization>'import requests
url = "https://api.bland.ai/v1/sip/discover/status"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.bland.ai/v1/sip/discover/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
SIP Trunks
Get Discovery Status
Poll the status and results of a SIP endpoint discovery session.
GET
/
v1
/
sip
/
discover
/
status
Get Discovery Status
Headers
Your API key for authentication.
Query Parameters
The discovery session ID returned from
POST /v1/sip/discover.Response
Returns the sameDiscoveryResult object as POST /v1/sip/discover. The status field indicates whether the discovery is still "running", has "completed", or has "failed".
Discovery results expire after 10 minutes.
Example Request
curl -X GET 'https://api.bland.ai/v1/sip/discover/status?discovery_id=disc_abc123' \
-H "Authorization: Bearer <token>"
Docs for agents: llms.txt
Was this page helpful?
⌘I